#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	Anubis
Summary:	Crypt::Anubis - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Abubis - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Anubis
Version:	1.0.4
Release:	19
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aa62fb3a199063b5dff8bcbfc632338e
URL:		http://search.cpan.org/dist/Crypt-Anubis/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anubis is a variable-length key, 128-bit block cipher designed by
Vincent Rijmen and Paulo S. L. M. Barreto. Key length can be 128, 160,
192, 224, 256, 288, or 320 bits. The default key length used in this
implementation is 128 bits (16 bytes). This module supports the
Crypt::CBC interface.

%description -l pl.UTF-8
Anubis to 128-bitowy szyfr blokowy o zmiennej długości klucza
opracowany przez Vincenta Rijmena i Paulo S. L. M. Baretto. Klucz może
mieć długość 128, 160, 192, 224, 256, 228 lub 320 bitów. Domyślna
długość klucza w tej implementacji to 128 bitów (16 bajtów). Ten moduł
obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Anubis.pm
%dir %{perl_vendorarch}/auto/Crypt/Anubis
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Anubis/Anubis.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Anubis.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 5bd0c59
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 3330dbd
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 0eeaba4
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> a675592
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 3d6fad0
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d9556fa
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 9d03d1e
- rebuild with perl 5.30.0
- release 14 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> e817334
- rebuild with perl 5.28.0
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> cf99e83
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2769c8f
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 2951425
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1d260d6
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 18ba19c
- x32 rebuild
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> a6018d8
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7c49d5a
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2f99720
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b208c4b
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 39d586e
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cf19d4
- release 3

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 0934367
- generic URL

